tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: obsoleting shlibs - what's the plan

On Thu, Mar 27, 2008 at 12:25:24AM +0000, Michael van Elst wrote:
 > All this only happens, when you do an upgrade to the base system.
 > In my experience I have to rebuild many packages (i.e _all_ due to
 > very limited update handling in pkgsrc) after I upgrade the base
 > system to another release. Now you have to do it also when you upgrade
 > a -current system after a large subsystem was changed. I don't consider
 > this a problem or even worth this discussion.

I beg to differ... breaking backwards compatibility for old binaries
*is* a problem.

David A. Holland

Home | Main Index | Thread Index | Old Index